<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_riser_configuration"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.configuration.RiserConfigurationActivity">

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/configRiserLbl"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/rcTitleRiserConfig"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/riserSelectionLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/configRiserLbl">

                <AutoCompleteTextView
                    android:id="@+id/riserSelectionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:editable="false"
                    android:hint="@string/rcRiserLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/rcManufacturerLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/riserSelectionLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/rcManufacturerTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/rcManufacturerLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/rcModelLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rcManufacturerLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/rcModelTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/rcModelLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/rcSizeLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rcModelLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/rcSizeTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/rcSizeLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/rcVvisHLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rcSizeLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/rcVvisHTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/rcVvisHLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/rcVvisVLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rcVvisHLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/rcVvisVTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/rcVvisVLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rcVvisVLayout">

                <Button
                    android:id="@+id/risercfg_button_new"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:text="@string/caption_New"
                    app:icon="@drawable/ic_icon_add"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/risercfg_button_delete"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Delete"
                    app:icon="@drawable/ic_icon_delete"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/risercfg_button_save"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Save"
                    app:icon="@drawable/ic_icon_save"
                    app:iconPadding="0dp" />

            </LinearLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>